import { LocationType } from "src/types/common"
import { Regency } from "../../domains"

export interface Thumbnail {
  file: File,
  url: string
}

export interface Form {
  name: string,
  address: string,
  regency: Regency,
  location_type: LocationType,
  google_maps_link: string,
  thumbnails: Array<Thumbnail>
}
